org.apache.struts2.dispatcher.multipart

## Class JakartaStreamMultiPartRequest.FileInfo

- java.lang.Object
- - org.apache.struts2.dispatcher.multipart.JakartaStreamMultiPartRequest.FileInfo

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JakartaStreamMultiPartRequest

      public static class JakartaStreamMultiPartRequest.FileInfo
      extends Object
      implements Serializable

  Internal data structure used to store a reference to information needed to later pass post processing data to the `FileUploadInterceptor`.
  Since:
    7.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileInfo(File file, String contentType, String originalName, String inputName)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `File` | `getFile()`
    `String` | `getInputName()`
    `String` | `getOriginalName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileInfo

          public FileInfo(File file,
                          String contentType,
                          String originalName,
                          String inputName)

      Default constructor.
      Parameters:
        `file` - the file
        `contentType` - content type
        `originalName` - original file name

  - ### Method Detail

    - #### getFile

          public File getFile()

      Returns:
        the file

    - #### getContentType

          public String getContentType()

      Returns:
        content type

    - #### getOriginalName

          public String getOriginalName()

      Returns:
        original file name

    - #### getInputName

          public String getInputName()

      Returns:
        file input name
      Since:
        6.7.0

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.